### Function

# AppStream IconKind from_string

#### Declaration [src]

    AsIconKind
    as_icon_kind_from_string (
      const gchar* kind_str
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`kind_str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsIconKind`

A `AsIconKind` or `AS_ICON_KIND_UNKNOWN` for unknown.